> For the complete documentation index, see [llms.txt](https://docs.medcrypt.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.medcrypt.com/ko/guardian/api-overview/api-reference/classes.md).

# 클래스

다음 [medcrypt 네임스페이스 ](/ko/guardian/api-overview/api-reference/namespaces/namespacemedcrypt.md)에는 [guardian 네임스페이스](/ko/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian.md)가 포함되어 있으며, 여기에는 다음 클래스, 구조체 및 열거형이 포함됩니다:

## **핵심 클래스**

* [Guardian](/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-guardian.md) 클래스:
  * **설명:** Guardian 시스템의 루트입니다.
  * **위치:** medcrypt::guardian::Guardian
* [AuthenticationManager](/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-authenticationmanager.md) 클래스:
  * **설명:** 인증 제한을 담는 컨테이너입니다.
  * **위치:** medcrypt::guardian::AuthenticationManager
* [ChannelGuard](/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-channelguard.md) 클래스:
  * **설명:** 의 명명된 채널 [Session](/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-session.md).
  * **위치:** medcrypt::guardian::ChannelGuard
* [SecureOperation](/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-secureoperation.md) 클래스:
  * **설명:** 이름이 지정된 독립 실행 작업입니다.
  * **위치:** medcrypt::guardian::SecureOperation
* [Service](/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-service.md) 클래스:
  * **설명:** 연결 및 채널 구성의 이름이 지정된 그룹입니다.
  * **위치:** medcrypt::guardian::Service
* [Session](/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-session.md) 클래스:
  * **설명:** 의 개별 연결 [Service](/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-service.md).
  * **위치:** medcrypt::guardian::Session
* [Task](/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-task.md) 클래스:
  * **설명:** 멀티스레딩 컨테이너입니다.
  * **위치:** medcrypt::guardian::Task
* [TransportInterface](/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-transportinterface.md) 클래스:
  * **설명:** [ConfigureTransport()](/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-service.md#function-configuretransport) 필수 인터페이스입니다.
  * **위치:** medcrypt::guardian::TransportInterface

## **데이터 구조**

* [AuthenticationDomain](/ko/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-authenticationdomain.md) 구조체:
  * **설명:** 인증 에이전트가 사용할 인증 제한 컨테이너입니다.
  * **위치:** medcrypt::guardian::AuthenticationDomain
* [InitializeOptions](/ko/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-initializeoptions.md) 구조체:
  * **설명:** 설정 중 [Initialize()](/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-guardian.md#function-initialize) 에서 사용하는 옵션입니다.
  * **위치:** medcrypt::guardian::InitializeOptions
* [ProvisioningOptions](/ko/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-provisioningoptions.md) 구조체:
  * **설명:** 에서 사용하는 옵션입니다. [StartProvisioningOnline()](/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-guardian.md#function-startprovisioningonline).
  * **위치:** medcrypt::guardian::ProvisioningOptions

### 유틸리티 네임스페이스 및 구조체

guardian 네임스페이스에는 [guardian namespace](/ko/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian.md) 다음 구조체가 포함된 [utilities](/ko/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian-utilities.md) 네임스페이스도 포함됩니다.

* [InitializeFiles](/ko/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-utilities-initializefiles.md) 구조체:
  * **설명:** 에서 사용하는 초기화 파일을 저장합니다. [Initialize()](/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-guardian.md#function-initialize).
  * **위치:** medcrypt::guardian::utilities::InitializeFiles
* [ProvisionFiles](/ko/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-utilities-provisionfiles.md) 구조체:
  * **설명:** 에서 프로비저닝 요청 파일을 생성하는 데 사용하는 저장소입니다. [GenerateProvisionRequest()](/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-guardian.md#function-generateprovisionrequest).
  * **위치:** medcrypt::guardian::utilities::ProvisionFiles
* [ProvisionOnlineFiles](/ko/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-utilities-provisiononlinefiles.md) 구조체:
  * **설명:** 에서 온라인 프로비저닝 파일을 저장합니다 [StartProvisioningOnline()](/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-guardian.md#function-startprovisioningonline).
  * **위치:** medcrypt::guardian::utilities::ProvisionOnlineFiles

## **기타 네임스페이스**

* [AuthenticationAllowDenyEnum](/ko/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian-authenticationallowdenyenum.md) 네임스페이스:
  * **설명:** 지정된 목록이 허용 목록인지 차단 목록인지 확인합니다.
  * **위치:** medcrypt::guardian::AuthenticationAllowDenyEnum
* [GuardianStatusEnum](/ko/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian-guardianstatusenum.md) 네임스페이스:
  * **설명:** Guardian 함수가 반환하는 상태 코드입니다.
  * **위치:** medcrypt::guardian::GuardianStatusEnum
* [LogLevelEnum](/ko/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian-loglevelenum.md) 네임스페이스:
  * **설명:** Guardian 함수가 반환하는 로그 수준입니다.
  * **위치:** medcrypt::guardian::LogLevelEnum


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.medcrypt.com/ko/guardian/api-overview/api-reference/classes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
